Bug 1808328 - PyGreSQL fails to build with postgresql 12: pg.ProgrammingError: ERROR: syntax error at or near "oids"
Summary: PyGreSQL fails to build with postgresql 12: pg.ProgrammingError: ERROR: synt...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: PyGreSQL
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honza Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS F33FTBFS PYTHON39 1801396
TreeView+ depends on / blocked
 
Reported: 2020-02-28 09:32 UTC by Miro Hrončok
Modified: 2020-08-04 08:49 UTC (History)
11 users (show)

Fixed In Version: PyGreSQL-5.1.1-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 20:36:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-02-28 09:32:10 UTC
PyGreSQL fails to build with Python 3.9.0a4.

======================================================================
ERROR: testQuery (tests.test_classic_connection.TestSimpleQueries)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/PyGreSQL-5.1/tests/test_classic_connection.py", line 620, in testQuery
    r = query(q)
pg.ProgrammingError: ERROR:  syntax error at or near "oids"
LINE 1: create table test_table (n integer) with oids
                                                 ^
======================================================================
ERROR: testQuery (tests.test_classic_connection.TestSimpleQueries)
----------------------------------------------------------------------
pg.ProgrammingError: ERROR:  table "test_table" does not exist
======================================================================
ERROR: testArrayLiteral (tests.test_classic_dbwrapper.TestDBClass)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/PyGreSQL-5.1/tests/test_classic_dbwrapper.py", line 3411, in testArrayLiteral
    self.createTable('arraytest', 'i int[], t text[]', oids=True)
  File "/builddir/build/BUILD/PyGreSQL-5.1/tests/test_classic_dbwrapper.py", line 509, in createTable
    query(q)
  File "/builddir/build/BUILD/PyGreSQL-5.1/pg.py", line 1903, in query
    return self.db.query(command)
pg.ProgrammingError: ERROR:  syntax error at or near "oids"
LINE 1: ...te temporary table "arraytest" (i int[], t text[]) with oids
                                                                   ^

...


I don't know if this is Python 3.9 related, might be postgres related instead.

I've enabled tracking in https://koschei.fedoraproject.org/package/PyGreSQL?collection=f33


For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.9/fedora-rawhide-x86_64/01255538-PyGreSQL/

For all our attempts to build PyGreSQL with Python 3.9, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/package/PyGreSQL/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.9:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/

Let us know here if you have any questions.

Python 3.9 will be included in Fedora 33. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.9.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Tom Lane 2020-02-28 15:06:24 UTC
> pg.ProgrammingError: ERROR:  syntax error at or near "oids"
> LINE 1: ...te temporary table "arraytest" (i int[], t text[]) with oids
>                                                                    ^

FYI, that's a Postgres issue not a Python issue.  Postgres dropped support for "WITH OIDS" in v12,
so this test case will need to be rewritten.  I have not looked at the test, but it seems unlikely
that it requires that feature in any fundamental way.

Comment 2 Miro Hrončok 2020-02-28 15:23:56 UTC
That's what I've thought.

Comment 3 Fedora Release Engineering 2020-03-01 04:26:20 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 4 Fedora Release Engineering 2020-03-08 04:28:27 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 32.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (that's on 2020-04-24).

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-33/f-33-key-tasks.html

Comment 5 Honza Horak 2020-03-09 10:57:41 UTC
There is a new version 5.1.1 that seems to fixing this. Will take a look at rebasing.

Comment 6 Fedora Update System 2020-03-09 11:07:37 UTC
FEDORA-2020-dcd2ae748b has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-dcd2ae748b

Comment 7 Fedora Update System 2020-03-09 14:54:57 UTC
PyGreSQL-5.1.1-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-dcd2ae748b

Comment 8 Fedora Update System 2020-03-16 20:36:28 UTC
PyGreSQL-5.1.1-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.